#!/bin/bash

ANGLE="$1"
FILE="$2"

DIR=$(dirname "$FILE")
TMPNAME=".tmp.$$.jpg"
TMPFIC="$DIR/.$TMPNAME"
echo jpegtran -copy all -outfile "$TMPFIC" -rotate "$ANGLE"
jpegtran -copy all -outfile "$TMPFIC" -rotate "$ANGLE" "$FILE"
if [ "$?" == 0 ]; then
    mv -f "$TMPFIC" "$FILE"
    if [ "$?" != 0 ]; then
	rm -f "$TMPFIC"
    fi
else
    rm -f "$TMPFIC"
fi

