#!/bin/bash

GLOBAL_DIR="$1"
USER_DIR="$2"

mkdir -p "$USER_DIR"

if [ ! -f "$USER_DIR"/xine.cfg ]; then
	cp "$GLOBAL_DIR"config/xine.cfg "$USER_DIR"/xine.cfg || exit 1
fi

if [ ! -f "$USER_DIR"/config.xml ]; then
	cp "$GLOBAL_DIR"config/config.xml "$USER_DIR"/config.xml || exit 1
fi

if [ ! -f "$USER_DIR"/channels.xml ]; then
	cp "$GLOBAL_DIR"config/channels.example.xml "$USER_DIR"/channels.xml || exit 1
fi

if [ ! -f "$USER_DIR"/menu.xml ]; then
	cp "$GLOBAL_DIR"config/menu.xml "$USER_DIR"/menu.xml || exit 1
fi


exit 0